To prevent spam users, you can only post on this forum after registration, which is by invitation. If you want to post on the forum, please send me a mail (h DOT m DOT w DOT verbeek AT tue DOT nl) and I'll send you an invitation in return for an account.

ProM6.8 Packager Manager installed failed

Hi everyone,

I encountered a problem. When I start the Package Manager by double-clicking the "ProMPM68.bat" file in the folder where I have installed ProM 6.8. But the Console display "libpng warning: iCCP: known incorrect sRGB profile", it stops running. I restart the "ProMPM68.bat" file,it also failed。

I have already exported the twice console details to txt。

My browse can successful access http://www.promtools.org/prom6/packages68/packages.xml.

 ( My OS is Win10, java version is 1.8.0_201,ProM version is 6.8. I installed 6.8 before, but uninstalled. Now my computer has ProM5.2 and ProM6.8 installed. ProM5.2 is working fine, but ProM6.8 fails.)

I have try to restalled ProM6.8, or delete .ProM68 file (the folder in C:\Users\user), or changer a computer. But it didn't work.


So, any one can help me with that?

Kind Regards

Duan。

Comments

  • hverbeekhverbeek Posts: 489
    Hi Duan,

    I'm sorry, but I cannot reproduce the problem. I also have Win 10 with Java 1.8.0_201, but for me running the "ProMPM68.bat" file just works as expected.

    I'm not that familiar with ICC profiles, I must admit, but can it be that the ICC profile you have installed on your computer causes the issue? To check the ICC profile, you can open the Control Panel and go to Color Management. This should list the ICC profile you're using. Perhaps changing to another profile helps.

    Kind regards,
    Eric.

  • Hi Eric,

    Thank you for the suggestion provided. I have reset the ICCP profile in Color Mangaement, but it didn't work.

    Now, In my computer, I still cannot run the ProM by double-clicking the "ProM68.bat" file in the folder "C:\Users\user\ProM 6.8" or clicking the "ProM 6.8" icon in the menu. Because when I import a log(xes format), it will show an error "No import plugins available ". However, when I run the ProM Packager Manager through the above two ways, the console will show an error "libpng warning: iCCP: cHRM chunk does not match sRGB".

    Fortunately, I can successful run the ProM by clicking the ProM with UITopia (TraceMatching).launch in eclipse. 

    I don't know why and the solution. Thank you again for your help.

    Kind Regards

    Duan.


  • Hi Eric,

    My problem has not been solved but it has become more serious. Now in eclipse, starting ProM or ProM Package Manager will also report an error.

     By executing this sentence "[PMPackage] Retrieve icon for URL http://www.promtools.org/prom6/packages68/prom_subtitle_hat_300.png", it will not continue to run. See the log for specific information.

    I have tried different ProM versions, ProM6.6, ProM6.8, ProM6.9, Nightly build of Sunday, 17.11.2019, 03:15:27, ProM-lite-1.2. But they are not working properly. I also tried different computers and laptops, and even installed ProM6.8 on a brand new computer, but all failed.

    I guess it's a problem with ProM dealing with icons or graphics, or reading icons or images in relative or absolute position.

    I have tried it for a week, and there is still no solution. Can you help me?


    Kind Regards

    Duan.



  • Hi,

    I have different errors every time I run it. Here is another one. Is there any solution?





    Kind Regards

    Duan.

  • hverbeekhverbeek Posts: 489
    Hi Duan,

    It seems that somehow you're mixing ProM 6.8 and ProM 6.9. The "Read packages" lines all mention packages68, which hints at ProM 6.8, but the two packages below are ProM 6.9. Did you change the ProM.ini file in any way? Usually, ProM 6.8 installs all packages in a .prom68 folder while ProM 6.9 installs them in a .prom69 folder, which keeps them both nicely separated. But this can be overruled from the ProM.ini file if needed.

    Please do not mix these releases. ProM 6.8 cannot handle the ProM 6.9 package repository. Please use the repository that comes with the release.

    Also, it seems that significant time is need to read a single package. If using ProM 6.9, then is just may be better to use the Brisbane mirror instead of our Eindhoven repository. The Brisbane mirror for ProM 6.9 can be found at https://sefmining01.qut.edu.au/prom6/packages69/packages.xml. Using this mirror may improve the read times a lot, which may just help.

    Kind regards,
    Eric.
Sign In or Register to comment.